Package Search
 
Members: 351 | Topics: 766 | Posts: 3210
We welcome our newest member: Somewhat Reticent
Info
» You aren't logged in, login or registerOnline: No members and 4 guests | Time: 12:23
Upkg upgrade install remove failure
paldo Support Forum    Upkg    General Discussion
Reply Reply   Subscribe Topic Subscribe Topic
Upkg breaks while upgrading installing or removing packages
4 posts found.
 Upkg upgrade install remove failure
Junior Mitglied
 
 
 
Posts: 24
Registered: 2008-11-03
Hi paldo-Team

my Upkg breaks while upgrading installing or removing packages on both machines using paldo

looks like

sudo upkg-remove qt-3
Generating script...

Unhandled Exception: Upkg.PackageNotFoundException: Package 'sqlite' not found.
at Upkg.Package..ctor (System.String name, Boolean allowZombies) [0x00000]
at Upkg.Package.GetPackage (System.String name, Boolean allowZombies) [0x00000]
at Upkg.Package.GetPackage (System.String name) [0x00000]
at Upkg.ReleaseSpecification.ProcessDeps (System.Xml.XmlElement depsElement) [0x00000]
at Upkg.ReleaseSpecification.Process () [0x00000]
at Upkg.Branches.get_Item (System.Object key) [0x00000]
at Upkg.Branches.get_Current () [0x00000]
at Upkg.ReleaseList.AddRelease (System.String packageName, System.String tag, Boolean allowZombies) [0x00000]
at Upkg.ReleaseList.AddSelectedReleases () [0x00000]
at Upkg.Application.Main (System.String[] args) [0x00000]
Could not generate script!

anyway which package i try! and whcih action i choose

strange is there is no package sqlite in your database on your website.

Can help?

Greetz

yuwnarg
 
..............................
When you need all the stunning features of MacOSX and Windows
Buy yourself a copy and live in peace!!
Profile   Private Message
Created: 2009-11-07 00:21
Highlight selected Text   Edit   Delete   Quote Reply
 Re: Upkg upgrade install remove failure
Senior Mitglied
 
 
 
Posts: 216
Registered: 2008-07-04
the package is named sqlite3... but I don't know what is wrong since I have never seen this problem...

What is your version: stable, testing or unstable?

Are these fresh installs... or did it happened after an upgrade?
 
..............................
OSs: Paldo-testing x86_64 :: HP Pavilion dv9680ez
Profile   Private Message   E-Mail
Created: 2009-11-08 19:46
Highlight selected Text   Edit   Delete   Quote Reply
 Re: Upkg upgrade install remove failure
Junior Mitglied
 
 
 
Posts: 24
Registered: 2008-11-03
Hi diogo,

i'm using in a virtualbox a stable version since last year, in real life
a testing version for about 3-4 month, both x86 machines.

if i do this in a terminal on my virtualised box

[root@paldo:/var/log]# find / -mount -name 'sqlite*'
/usr/bin/sqlite
/usr/bin/sqlite3
/usr/lib/pkgconfig/sqlite.pc
/usr/lib/pkgconfig/sqlite3.pc
/usr/lib/python2.6/sqlite3
/usr/lib/python2.5/sqlite3
/usr/share/vala/vapi/sqlite3.vapi
/usr/include/sqlite.h
/usr/include/sqlite3.h
/usr/include/sqlite3ext.h
/var/lib/upkg/packages/sqlite-x86-glibc-2.10-gcc-4.4-1-2.8.17-1
/var/lib/upkg/packages/sqlite
/var/lib/upkg/packages/sqlite-x86-glibc-2.10-gcc-4.4-1-2.8.17-1.info
/var/lib/upkg/packages/sqlite3.select
/var/lib/upkg/packages/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.18-1.info
/var/lib/upkg/packages/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.18-1
/var/lib/upkg/packages/sqlite3
/var/lib/upkg/logs/sqlite-x86-glibc-2.10-gcc-4.4-1-2.8.17-1.log.bz2
/var/lib/upkg/logs/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.18-1.log.bz2
/var/lib/upkg/scripts/sqlite-x86-glibc-2.10-gcc-4.4-1-2.8.17-1.prerm
/var/lib/upkg/scripts/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.18-1.prerm
/var/lib/upkg/files/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.18-1.digest.bz2
/var/lib/upkg/files/sqlite-x86-glibc-2.10-gcc-4.4-1-2.8.17-1.digest.bz2
/var/lib/upkg/files/sqlite-x86-glibc-2.10-gcc-4.4-1-2.8.17-1.dirs.bz2
/var/lib/upkg/files/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.18-1.links.bz2
/var/lib/upkg/files/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.18-1.dirs.bz2
/var/lib/upkg/files/sqlite-x86-glibc-2.10-gcc-4.4-1-2.8.17-1.links.bz2
/var/cache/upkg/www.paldo.org_paldo/binaries/sqlite3-x86-glibc-2.8-gcc-4.3-1-3.6.4-1-stable.tar.bz2
/var/cache/upkg/www.paldo.org_paldo/binaries/sqlite-x86-glibc-2.8-gcc-4.3-1-2.8.17-1-stable.tar.bz2
/var/cache/upkg/www.paldo.org_paldo/binaries/sqlite-x86-glibc-2.10-gcc-4.4-1-2.8.17-1-stable.tar.bz2
/var/cache/upkg/www.paldo.org_paldo/binaries/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.16-1-stable.tar.bz2
/var/cache/upkg/www.paldo.org_paldo/binaries/sqlite3-x86-glibc-2.10-gcc-4.4-1-3.6.18-1-stable.tar.bz2
/var/cache/upkg/www.paldo.org_paldo/binaries/sqlite3-x86-glibc-2.8-gcc-4.3-1-3.6.10-1-stable.tar.bz2
/var/cache/upkg/www.paldo.org_paldo/specs/sqlite3.xml

in directory /var/log/upkg.log

[root@paldo:/var/log/upkg]# cat upkg.log | grep sqlite
2008-10-21 11:17:25 Installing sqlite-2.8.17-1 (stable)...
2008-10-31 14:24:00 Installing sqlite3-3.6.4-1 (stable)...
2009-02-03 13:22:44 Installing sqlite3-3.6.10-1 (stable)...
2009-08-10 14:43:53 Installing sqlite3-3.6.16-1 (stable)...
2009-08-12 15:39:21 Installing sqlite-2.8.17-1 (stable)...
2009-11-05 13:34:37 Installing sqlite3-3.6.18-1 (stable)...

so there has to be a package sqlite in the past!

but how can i tell upkg to delete it.

because upkg-remove sqlite gives me

[root@paldo:/var/log/upkg]# upkg-remove sqlite
Generating script...

Unhandled Exception: Upkg.PackageNotFoundException: Package 'sqlite' not found.
at Upkg.Package..ctor (System.String name, Boolean allowZombies) [0x00000]
at Upkg.Package.GetPackage (System.String name, Boolean allowZombies) [0x00000]
at Upkg.Package.GetPackage (System.String name) [0x00000]
at Upkg.ReleaseSpecification.ProcessDeps (System.Xml.XmlElement depsElement) [0x00000]
at Upkg.ReleaseSpecification.Process () [0x00000]
at Upkg.Branches.get_Item (System.Object key) [0x00000]
at Upkg.Branches.get_Current () [0x00000]
at Upkg.ReleaseList.AddRelease (System.String packageName, System.String tag, Boolean allowZombies) [0x00000]
at Upkg.ReleaseList.AddSelectedReleases () [0x00000]
at Upkg.Application.Main (System.String[] args) [0x00000]
Could not generate script!

strange also is, that i did upgrade my system since installing the sqlite-packet
in august once a month, so why now the failure??

looks upkg on the paldo-server for a version of sqlite?

on the server is no more a sqlite-packet!!








 
..............................
When you need all the stunning features of MacOSX and Windows
Buy yourself a copy and live in peace!!
Profile   Private Message
Created: 2009-11-09 11:58
Highlight selected Text   Edit   Delete   Quote Reply
 Re: Upkg upgrade install remove failure
Junior Mitglied
 
 
 
Posts: 24
Registered: 2008-11-03

solved it!!!

sqlite was a dependency in a package i made myself.

Would be nice if upkg could tell can't resolve dependency than telling
it can't find the package


 
..............................
When you need all the stunning features of MacOSX and Windows
Buy yourself a copy and live in peace!!
Profile   Private Message
Created: 2009-11-10 11:13
Highlight selected Text   Edit   Delete   Quote Reply
Subscribe Topic Subscribe Topic
powered by bitron board 1.23a